Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-3285

Overview

Vulnerability Score 9.3 9.3
CVE Id CVE-2008-3285
Last Modified 29 Jan 2009 01:52:53
Published 24 Jul 2008 01:41:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2008-3285

Summary

The Filesys::SmbClientParser module 2.7 and earlier for Perl allows remote SMB servers to execute arbitrary code via a folder name containing shell metacharacters.

Vulnerable Systems

Application

  • Alain Barbet Filesys Smbclientparser 2.1

  • Alain Barbet Filesys Smbclientparser 2.2

  • Alain Barbet Filesys Smbclientparser 2.3

  • Alain Barbet Filesys Smbclientparser 2.4

  • Alain Barbet Filesys Smbclientparser 2.5

  • Alain Barbet Filesys Smbclientparser 2.6

  • Alain Barbet Filesys Smbclientparser 2.7


References

XF - filesyssmb-directory-command-execution(43910)

BID - 30290

BUGTRAQ - 20080718 [ISecAuditors Security Advisories] SmbClientParser Perl module allows remote command execution

SREASON - 4027

SECUNIA - 31175


Last Updated: 27 May 2016 10:48:08